Subject: Re: [patch 2.6.9 0/11] Add MODULE_VERSION to several network drivers

From: "John W. Linville" <[email-masked]>
Date: Thu, 21 Oct 2004 08:22:05 -0400

On Thu, Oct 21, 2004 at 11:17:49AM +0200, Arjan van de Ven wrote:
> On Wed, 2004-10-20 at 20:11, John W. Linville wrote:
> > Patches to add MODULE_VERSION lines to several network drivers...
> > 
> > Here is the list:
> 
> have you checked if the version of these drivers is actually useful? (eg
> updated when the driver changes) If it's not I'd say adding a
> MODULE_VERSION to it makes no sense whatsoever.

Why do I feel like I'm being baited...? :-)

I would have to suspect that if a version string exists, that it has at
least some meaning to the primary developers/maintainters.  It certainly
is beyond my control to force the maintainers to give meaning to their
version strings.

Is this a political statement against the MODULE_VERSION macro and/or
its purpose?  I'm not overly interested in debating that one...

John
-- 
John W. Linville
[email-masked]